Package ru.nilsoft.tm

# Class TMCommand.reasonServiceMode

java.lang.Object
ru.nilsoft.tm.TMCommand.reasonServiceMode

Enclosing class:
  `TMCommand`

public static final class TMCommand.reasonServiceMode extends Object
Коды причин самостоятельного выхода КФН в сервисный монитор.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `HET_CMOS_OTHER`
  Ошибка не связанная с CMOS (Ошибка CMOS).
  `static final byte`
  `HET_CODE`
  Ошибка кода активации.
  `static final byte`
  `HET_FLASH`
  Ошибка фискальной памяти.
  `static final byte`
  `HET_FM`
  Ошибка фискального накопителя.
  `static final byte`
  `HET_P_Init`
  Ошибка страницы настроек (Ошибка CMOS).
  `static final byte`
  `HET_P_Perm`
  Ошибка страницы 1 (Ошибка CMOS).
  `static final byte`
  `HET_P_Work`
  Ошибка страницы 2 (Ошибка CMOS).
  `static final byte`
  `HET_SKL`
  Ошибка SKL.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `reasonServiceMode()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### HET_P_Init

    public static final byte HET_P_Init
    Ошибка страницы настроек (Ошибка CMOS).
    See Also:
      - Constant Field Values

  - ### HET_P_Perm

    public static final byte HET_P_Perm
    Ошибка страницы 1 (Ошибка CMOS).
    See Also:
      - Constant Field Values

  - ### HET_P_Work

    public static final byte HET_P_Work
    Ошибка страницы 2 (Ошибка CMOS).
    See Also:
      - Constant Field Values

  - ### HET_SKL

    public static final byte HET_SKL
    Ошибка SKL.
    See Also:
      - Constant Field Values

  - ### HET_CMOS_OTHER

    public static final byte HET_CMOS_OTHER
    Ошибка не связанная с CMOS (Ошибка CMOS).
    See Also:
      - Constant Field Values

  - ### HET_FLASH

    public static final byte HET_FLASH
    Ошибка фискальной памяти.
    See Also:
      - Constant Field Values

  - ### HET_FM

    public static final byte HET_FM
    Ошибка фискального накопителя.
    See Also:
      - Constant Field Values

  - ### HET_CODE

    public static final byte HET_CODE
    Ошибка кода активации.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### reasonServiceMode

    public reasonServiceMode()